42 lines
1.2 KiB
Diff
42 lines
1.2 KiB
Diff
From 7f4569e22c2a19d51324c44a2954b10427df2cd8 Mon Sep 17 00:00:00 2001
|
|
From: David Allsopp <david.allsopp@metastack.com>
|
|
Date: Tue, 21 Feb 2023 14:44:21 +0000
|
|
Subject: [PATCH 10/18] Report all post-build failures
|
|
|
|
Rather than just reporting un-prefixed symbol names, also report
|
|
undefined variables.
|
|
---
|
|
tools/ci/actions/runner.sh | 12 +++++++++---
|
|
1 file changed, 9 insertions(+), 3 deletions(-)
|
|
|
|
diff --git a/tools/ci/actions/runner.sh b/tools/ci/actions/runner.sh
|
|
index 26123b40d1..6e5a30f73a 100755
|
|
--- a/tools/ci/actions/runner.sh
|
|
+++ b/tools/ci/actions/runner.sh
|
|
@@ -67,13 +67,19 @@ Build () {
|
|
else
|
|
script --return --command "$MAKE_WARN" build.log
|
|
fi
|
|
- echo Ensuring that all names are prefixed in the runtime
|
|
- ./tools/check-symbol-names runtime/*.a otherlibs/*/lib*.a
|
|
+ failed=0
|
|
if grep -Fq ' warning: undefined variable ' build.log; then
|
|
echo Undefined Makefile variables detected
|
|
- exit 1
|
|
+ failed=1
|
|
fi
|
|
rm build.log
|
|
+ echo Ensuring that all names are prefixed in the runtime
|
|
+ if ! ./tools/check-symbol-names runtime/*.a otherlibs/*/lib*.a ; then
|
|
+ failed=1
|
|
+ fi
|
|
+ if ((failed)); then
|
|
+ exit 1
|
|
+ fi
|
|
}
|
|
|
|
Test () {
|
|
--
|
|
2.41.0
|
|
|